#### D.4.27.21 zerodec

Procedure from library `primdec.lib` (see primdec_lib).

Usage:
  zerodec(I); I ideal

Assume:
  I is zero-dimensional, the characteristic of the ground field is 0

Return:
  list of primary ideals, the zero-dimensional decomposition of I

Note:
  The algorithm (of Monico), works well only for a small total number of solutions (`vdim(std(I))` should be < 100) and without parameters. In practice, it works also in large characteristic p>0 but may fail for small p.
  If printlevel > 0 (default = 0) additional information is displayed.

Example:

    LIB "primdec.lib";
    ring r  = 0,(x,y),dp;
    ideal i = x2-2,y2-2;
    list pr = zerodec(i);
    pr;
    ==> [1]:
    ==>    _[1]=y2-2
    ==>    _[2]=xy-2
    ==>    _[3]=x2-2
    ==> [2]:
    ==>    _[1]=y2-2
    ==>    _[2]=xy+2
    ==>    _[3]=x2-2

User manual for Singular version 4.4.1, 2025, generated by texi2html.